Package ru.bitel.bgbilling.kernel.integration.common.bean

# Class RegisterItem

java.lang.Object
ru.bitel.bgbilling.kernel.integration.common.bean.RegisterItem

public class RegisterItem extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RegisterItem()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `extraParametersAsString()`
  `String`
  `getBalanceItemComment()`
  `int`
  `getBalanceItemId()`
  `int`
  `getBalanceItemTypeId()`
  `String`
  `getContract()`
  `int`
  `getContractId()`
  `Date`
  `getDate()`
  `Map<String,String>`
  `getExtraParametersMap()`
  `int`
  `getId()`
  `String`
  `getOperationTypeTitle()`
  `int`
  `getRegisterId()`
  `BigDecimal`
  `getSumma()`
  `String`
  `getUniqueId()`
  `void`
  `setBalanceItemComment(String balanceItemComment)`
  `void`
  `setBalanceItemId(int balanceItemId)`
  `void`
  `setBalanceItemTypeId(int balanceItemTypeId)`
  `void`
  `setContract(String contract)`
  `void`
  `setContractId(int contractId)`
  `void`
  `setDate(Date date)`
  `void`
  `setExtraParametersMap(Map<String,String> extraParametersMap)`
  `void`
  `setId(int id)`
  `void`
  `setOperationTypeTitle(String operationTypeTitle)`
  `void`
  `setRegisterId(int registerId)`
  `void`
  `setSumma(BigDecimal summa)`
  `void`
  `setUniqueId(String uniqueId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RegisterItem

    public RegisterItem()

- ## Method Details

  - ### getId

    public int getId()

  - ### setId

    public void setId(int id)

  - ### getRegisterId

    public int getRegisterId()

  - ### setRegisterId

    public void setRegisterId(int registerId)

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId(int contractId)

  - ### getSumma

    public BigDecimal getSumma()

  - ### setSumma

    public void setSumma(BigDecimal summa)

  - ### getBalanceItemId

    public int getBalanceItemId()

  - ### setBalanceItemId

    public void setBalanceItemId(int balanceItemId)

  - ### getBalanceItemComment

    public String getBalanceItemComment()

  - ### setBalanceItemComment

    public void setBalanceItemComment(String balanceItemComment)

  - ### getDate

    public Date getDate()

  - ### setDate

    public void setDate(Date date)

  - ### getUniqueId

    public String getUniqueId()

  - ### setUniqueId

    public void setUniqueId(String uniqueId)

  - ### getBalanceItemTypeId

    public int getBalanceItemTypeId()

  - ### setBalanceItemTypeId

    public void setBalanceItemTypeId(int balanceItemTypeId)

  - ### getContract

    public String getContract()

  - ### setContract

    public void setContract(String contract)

  - ### getOperationTypeTitle

    public String getOperationTypeTitle()

  - ### setOperationTypeTitle

    public void setOperationTypeTitle(String operationTypeTitle)

  - ### getExtraParametersMap

    public Map<String,String> getExtraParametersMap()

  - ### setExtraParametersMap

    public void setExtraParametersMap(Map<String,String> extraParametersMap)

  - ### extraParametersAsString

    public String extraParametersAsString()